PHP ERROR: Type: 2048, File: /etc/inc/auth.inc



  • 2.2-RC (i386)
    built on Thu Jan 08 12:47:41 CST 2015

    Noticed the following log entry after logging in first time after upgrade:

    Jan 8 22:12:54 php-fpm[12871]: /index.php: PHP ERROR: Type: 2048, File: /etc/inc/auth.inc, Line: 1218, Message: Non-static method PEAR::isError() should not be called statically



  • Pull request: https://github.com/pfsense/pfsense/pull/1427
    That should fix the specific warning there.

    There is still the issue of what other of the class/object-oriented code/functions will have these type of warnings and need to be updated to PHP5.* standards, and if anyone cares that much :)



  • Thanks, I merged that one. I also just disabled that PHP error logging that was added recently, the really significant errors end up with crash reports, and this is just noise that's not helpful at this stage of the release.



  • Thanks!



  • And it has now been reverted (as there were issues with another change I made that tried to address many other of these warnings about coding standard stuff).
    The reporting of these "errors" has been disabled again so they will remain hidden for now.



  • Yes, I read that in redmine. Probably better just to hide the messages for now, as they don't do any harm anyway.


Log in to reply